summaryrefslogtreecommitdiffstats
path: root/network/cryptcat-unix
diff options
context:
space:
mode:
Diffstat (limited to 'network/cryptcat-unix')
-rw-r--r--network/cryptcat-unix/README2
-rw-r--r--network/cryptcat-unix/cryptcat-unix.SlackBuild69
-rw-r--r--network/cryptcat-unix/cryptcat-unix.info8
-rw-r--r--network/cryptcat-unix/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/network/cryptcat-unix/README b/network/cryptcat-unix/README
new file mode 100644
index 0000000000..204e247387
--- /dev/null
+++ b/network/cryptcat-unix/README
@@ -0,0 +1,2 @@
+Cryptcat is a lightweight version of netcat with integrated
+transport encryption capabilities.
diff --git a/network/cryptcat-unix/cryptcat-unix.SlackBuild b/network/cryptcat-unix/cryptcat-unix.SlackBuild
new file mode 100644
index 0000000000..c44f53ce4d
--- /dev/null
+++ b/network/cryptcat-unix/cryptcat-unix.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for cryptcat
+# Written by Jeanne-Kamikaze (AKA SlackerJeanne) (jeannekamikaze@shellblade.net)
+
+# The software belongs and is copyrighted by the cryptcat team.
+# The proper license can be found along with the software source code.
+#
+# Modified by SlackBuilds.org
+
+VERSION=1.2.1
+PRGNAM=cryptcat-unix
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOC="Changelog Credits README.cryptcat README netcat.blurb"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar
+cd unix
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make linux
+
+mkdir -p $PKG/usr/bin
+cp cryptcat $PKG/usr/bin/cryptcat
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOC $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/cryptcat-unix/cryptcat-unix.info b/network/cryptcat-unix/cryptcat-unix.info
new file mode 100644
index 0000000000..ebb4762b9b
--- /dev/null
+++ b/network/cryptcat-unix/cryptcat-unix.info
@@ -0,0 +1,8 @@
+PRGNAM="cryptcat-unix"
+VERSION="1.2.1"
+HOMEPAGE="http://www.sourceforge.net/projects/cryptcat"
+DOWNLOAD="http://downloads.sourceforge.net/cryptcat/cryptcat-unix-1.2.1.tar"
+MD5SUM="fc4afff350f3dd5e4fe51b0dd01a8e21"
+MAINTAINER="Jeanne-Kamikaze"
+EMAIL="jeannekamikaze@gmail.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/network/cryptcat-unix/slack-desc b/network/cryptcat-unix/slack-desc
new file mode 100644
index 0000000000..18a264127d
--- /dev/null
+++ b/network/cryptcat-unix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cryptcat-unix: cryptcat-unix (lightweight version of netcat)
+cryptcat-unix:
+cryptcat-unix: Cryptcat is a lightweight version of netcat with integrated
+cryptcat-unix: transport encryption capabilities.
+cryptcat-unix:
+cryptcat-unix:
+cryptcat-unix:
+cryptcat-unix:
+cryptcat-unix:
+cryptcat-unix:
+cryptcat-unix: